apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  name: rhel-10-latest
spec:
  dataVolumeTemplates:
  - metadata:
      name: rhel-10-latest-volume
    spec:
      source:
        http:
          url: http://download.eng.brq.redhat.com/rhel-10/composes/RHEL-10/RHEL-10.0-20240801.0/compose/BaseOS/x86_64/images/rhel-guest-image-10.0-20240801.0.x86_64.qcow2
      storage:
        resources:
          requests:
            storage: 10Gi
  running: true
  template:
    metadata:
      annotations:
        vm.kubevirt.io/os: linux
      creationTimestamp: null
    spec:
      accessCredentials:
      - sshPublicKey:
          propagationMethod:
            noCloud: {}
          source:
            secret:
              secretName: authorized-keys
      architecture: amd64
      domain:
        cpu:
          cores: 1
          model: host-model
          sockets: 1
          threads: 1
        devices:
          disks:
          - dedicatedIOThread: true
            disk:
              bus: virtio
            name: rootdisk
          - dedicatedIOThread: true
            disk:
              bus: virtio
            name: cloudinitdisk
          interfaces:
          - masquerade: {}
            model: virtio
            name: default
          rng: {}
        features:
          acpi:
            enabled: true
          smm:
            enabled: true
        firmware:
          bootloader:
            efi:
              secureBoot: false
        memory:
          guest: 4Gi
        resources:
          requests:
            memory: 4Gi
      evictionStrategy: LiveMigrateIfPossible
      networks:
      - name: default
        pod: {}
      volumes:
      - dataVolume:
          name: rhel-10-latest-volume
        name: rootdisk
      - cloudInitNoCloud:
          userData: |
            #cloud-config
            chpasswd:
              expire: false
            password: 123456
            user: cloud-user
        name: cloudinitdisk
status: {}
